Main Page | Class List | Class Members

# Test Class Reference

A test class. More...

List of all members.

## Public Types
enum | TEnum { TVal1, TVal2, TVal3 }
| An enum. More...
## Public Member Functions
| Test ()
| A constructor.
| ~Test ()
| A destructor.
int | testMe (int a, const char *s)
| A normal member taking two arguments and returning an integer value.
virtual void | testMeToo (char c1, char c2)=0
| A pure virtual member.
## Public Attributes
enum Test::TEnum * | enumPtr
| Enum pointer.
enum Test::TEnum | enumVar
| Enum variable.
int | publicVar
| A public variable.
int(* | handler )(int a, int b)
| A function variable.

## Detailed Description

A test class.

A more elaborate class description.

## Member Enumeration Documentation

enum Test::TEnum

  | An enum. More detailed enum description. Enumeration values:
  TVal1 | Enum value TVal1.
  TVal2 | Enum value TVal2.
  TVal3 | Enum value TVal3.

## Constructor & Destructor Documentation

Test::Test | ( |  | ) |

| A constructor. A more elaborate description of the constructor.

Test::~Test | ( |  | ) |

| A destructor. A more elaborate description of the destructor.

## Member Function Documentation

int Test::testMe | ( | int | a,
|  | const char * | s
| ) |

  | A normal member taking two arguments and returning an integer value. Parameters:
  | a | an integer argument.
  | s | a constant character pointer.
Returns: The test results See also: Test(), ~Test(), testMeToo() and publicVar()

virtual void Test::testMeToo | ( | char | c1,
|  | char | c2
| ) | `[pure virtual]`

  | A pure virtual member. See also: testMe() Parameters:
  | c1 | the first argument.
  | c2 | the second argument.

## Member Data Documentation

enum Test::TEnum * Test::enumPtr

| Enum pointer. Details.

enum Test::TEnum Test::enumVar

| Enum variable. Details.

int(* Test::handler)(int a, int b)

| A function variable. Details.

int Test::publicVar

| A public variable. Details.

The documentation for this class was generated from the following file:

- qtstyle.cpp